curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"description": "<string>",
"display_name": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"quantity": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"source_ids": [
"src_1EBBF4M7X1S06G1Y"
],
"supplier_reference_id": "<string>",
"measured_at": "2023-11-07T05:31:56Z",
"uncertainty_justification": "<string>"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/datapoints"
payload = {
"description": "<string>",
"display_name": "<string>",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"quantity": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"source_ids": ["src_1EBBF4M7X1S06G1Y"],
"supplier_reference_id": "<string>",
"measured_at": "2023-11-07T05:31:56Z",
"uncertainty_justification": "<string>"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
display_name: '<string>',
project_id: 'prj_1CTWZQGKE1S0VAXA',
quantity: {magnitude: 123, unit: '<string>', standard_deviation: 123},
source_ids: ['src_1EBBF4M7X1S06G1Y'],
supplier_reference_id: '<string>',
measured_at: '2023-11-07T05:31:56Z',
uncertainty_justification: '<string>'
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"display_name": "<string>",
"id": "dtp_1DVKHKS101S0Q61Q",
"locked_status": "not_locked",
"measured_at": "2023-11-07T05:31:56Z",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"quantity": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"source_ids": [
"src_1EBBF4M7X1S06G1Y"
],
"supplier_reference_id": "<string>",
"type": "CONSTANT",
"uncertainty_justification": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Datapoint
Creates a datapoint in the Isometric system
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
A free-text description of the datapoint. Must be at most 500 characters long.
5001 - 15020 - 37"prj_1CTWZQGKE1S0VAXA"
"prj_1E0QTWB22SBX34D1"
Show child attributes
Show child attributes
20 - 37A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200CONSTANT, STANDARD_PUBLISHED_VALUE, REPORTED, ASSUMPTION, DERIVED Provide an uncertainty justification where required for inputs identified as sensitive in sensitivity analysis.
Response
Successful Response
20 - 37"dtp_1DVKHKS101S0Q61Q"
"dtp_1DJN8P57VSBXASFX"
Represents the locked status of a Datapoint. Locked Datapoints cannot be updated: if an updated version of a data input is required then a new Datapoint must be created.
not_locked, locked_library_datapoint, locked_time_series_datapoint, locked_measurement_sample_datapoint, locked_forestry_field_measurement_datapoint, locked_model_output_datapoint, locked_model_input_datapoint, locked_material_datapoint, locked_activity_datapoint, locked_used_in_verified_removal 20 - 37"prj_1CTWZQGKE1S0VAXA"
Show child attributes
Show child attributes
20 - 37A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200CONSTANT, STANDARD_PUBLISHED_VALUE, REPORTED, ASSUMPTION, DERIVED Provide an uncertainty justification where required for inputs identified as sensitive in sensitivity analysis.
Was this page helpful?